libstrongswan_4.5.2-1.5+deb7u8_i386.deb


Advertisement

Description

libstrongswan - strongSwan utility and crypto library

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libstrongswan
Package version 4.5.2
Package release 1.5+deb7u8
Package architecture i386
Package type deb
Installed size 1.12 KB
Download size 494.49 KB
Official Mirror ftp.br.debian.org
StrongSwan is an IPsec-based VPN solution for the Linux kernel. It uses the
native IPsec stack and runs on any recent 2.6 kernel (no patching required).
It supports both IKEv1 and the newer IKEv2 protocols.
This package provides the underlying library of charon and other strongSwan
components. It is built in a modular way and is extendable through various
plugins.

Alternatives

Package Version Architecture Repository
libstrongswan_5.2.1-6+deb8u2~bpo70+1_i386.deb 5.2.1 i386 Debian Backports Main
libstrongswan_5.2.1-6+deb8u2~bpo70+1_amd64.deb 5.2.1 amd64 Debian Backports Main
libstrongswan_4.5.2-1.5+deb7u8_amd64.deb 4.5.2 amd64 Debian Main
libstrongswan_4.5.2-1.5+deb7u10_amd64.deb 4.5.2 amd64 Debian Security Updates Main
libstrongswan_4.5.2-1.5+deb7u10_i386.deb 4.5.2 i386 Debian Security Updates Main
libstrongswan - - -

Requires

Name Value
libc6 >= 2.10
libfcgi0ldbl -
libgmp10 -
libssl1.0.0 >= 1.0.0
openssl -
zlib1g >= 1:1.1.4

Conflicts

Name Value
strongswan << 4.2.12-1

Download

Type URL
Binary Package libstrongswan_4.5.2-1.5+deb7u8_i386.deb
Source Package strongswan

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libstrongswan deb package:
    # sudo apt-get install libstrongswan

Files

Path
/etc/strongswan.conf
/etc/logcheck/ignore.d.paranoid/strongswan
/etc/logcheck/ignore.d.server/strongswan
/etc/logcheck/ignore.d.workstation/strongswan
/etc/logcheck/violations.ignore.d/strongswan
/usr/lib/libfast.so
/usr/lib/libfast.so.0
/usr/lib/libfast.so.0.0.0
/usr/lib/libhydra.so
/usr/lib/libhydra.so.0
/usr/lib/libhydra.so.0.0.0
/usr/lib/libstrongswan.so
/usr/lib/libstrongswan.so.0
/usr/lib/libstrongswan.so.0.0.0
/usr/lib/ipsec/libchecksum.so
/usr/lib/ipsec/plugins/libstrongswan-addrblock.so
/usr/lib/ipsec/plugins/libstrongswan-aes.so
/usr/lib/ipsec/plugins/libstrongswan-ccm.so
/usr/lib/ipsec/plugins/libstrongswan-constraints.so
/usr/lib/ipsec/plugins/libstrongswan-ctr.so
/usr/lib/ipsec/plugins/libstrongswan-des.so
/usr/lib/ipsec/plugins/libstrongswan-dhcp.so
/usr/lib/ipsec/plugins/libstrongswan-dnskey.so
/usr/lib/ipsec/plugins/libstrongswan-farp.so
/usr/lib/ipsec/plugins/libstrongswan-fips-prf.so
/usr/lib/ipsec/plugins/libstrongswan-gcm.so
/usr/lib/ipsec/plugins/libstrongswan-gmp.so
/usr/lib/ipsec/plugins/libstrongswan-ha.so
/usr/lib/ipsec/plugins/libstrongswan-hmac.so
/usr/lib/ipsec/plugins/libstrongswan-led.so
/usr/lib/ipsec/plugins/libstrongswan-md5.so
/usr/lib/ipsec/plugins/libstrongswan-openssl.so
/usr/lib/ipsec/plugins/libstrongswan-padlock.so
/usr/lib/ipsec/plugins/libstrongswan-pem.so
/usr/lib/ipsec/plugins/libstrongswan-pgp.so
/usr/lib/ipsec/plugins/libstrongswan-pkcs1.so
/usr/lib/ipsec/plugins/libstrongswan-pkcs11.so
/usr/lib/ipsec/plugins/libstrongswan-pubkey.so
/usr/lib/ipsec/plugins/libstrongswan-random.so
/usr/lib/ipsec/plugins/libstrongswan-resolve.so
/usr/lib/ipsec/plugins/libstrongswan-revocation.so
/usr/lib/ipsec/plugins/libstrongswan-sha1.so
/usr/lib/ipsec/plugins/libstrongswan-sha2.so
/usr/lib/ipsec/plugins/libstrongswan-sql.so
/usr/lib/ipsec/plugins/libstrongswan-test-vectors.so
/usr/lib/ipsec/plugins/libstrongswan-x509.so
/usr/lib/ipsec/plugins/libstrongswan-xauth.so
/usr/lib/ipsec/plugins/libstrongswan-xcbc.so
/usr/share/doc/libstrongswan/NEWS.Debian.gz
/usr/share/doc/libstrongswan/README.gz
/usr/share/doc/libstrongswan/changelog.Debian.gz
/usr/share/doc/libstrongswan/changelog.gz
/usr/share/doc/libstrongswan/copyright
/usr/share/lintian/overrides/libstrongswan

Changelog

2015-11-16 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.5+deb7u8) wheezy-security; urgency=medium
* debian/patches:
- CVE-2015-8023_eap_mschapv2_state added, fix authentication bypass when
using EAP MSCHAPv2.
2015-06-07 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.5+deb7u7) wheezy-security; urgency=high
* debian/patches:
- CVE-2015-4171_enforce_remote_auth added, fix potential leak of
authentication credential to rogue server when using PSK or EAP. This is
CVE-2015-4171.
2014-12-28 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.5+deb7u6) wheezy-security; urgency=high
* debian/patches:
- CVE-2014-9221_dh_group added, fix regression with
CVE-2014-9221_modp_custom breaking TLS authentication.
2014-12-16 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.5+deb7u5) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* debian/patches:
- debian/patches/CVE-2014-9221_modp_custom added, fix unauthenticated
denial of service in IKEv2 when using custom MODP value.
2014-05-03 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.5+deb7u4) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* debian/patches:
- CVE-2014-2891 added, fix potential null pointer dereference when parsing
ASN.1 data, leading to denial of service (CVE-2014-2891).
2014-04-03 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.5+deb7u3) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* debian/patches:
- CVE-2014-2338-4.x added, fix authentication bypass (CVE-2014-2338).
2013-10-29 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.5+deb7u2) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* debian/patches
- CVE-2013-6075 added, fix remote denial of service and authorization
bypass.
2013-04-29 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.5+deb7u1) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* debian/patches:
- 0001-Check-return-value-of-ECDSA_Verify-correctly added. Fix ECDSA
signature verification when using openssl plugin (CVE-2013-2944).
2012-06-15 - gregor herrmann <gregoa@debian.org>
strongswan (4.5.2-1.5) unstable; urgency=low
* Non-maintainer upload.
* Fix "package must not include /var/lock/subsys":
don't ship /var/lock/subsys but create it in the init script.
(Closes: #667764)
2012-05-24 - Yves-Alexis Perez <corsac@debian.org>
strongswan (4.5.2-1.4) unstable; urgency=high
* Non-maintainer upload by the Security Team.
* debian/patches:
- 0001-Fix-boolean-return-value-if-an-empty-RSA-signature-i added,
backported from upstream. Fix CVE-2012-2388 (when using gmp plugin,
zero length RSA signatures are considered valid).
- 0001-Added-support-for-the-resolvconf-framework-in-resolv added,
correctly handle resolvconf-managed /etc/resolv.conf.     closes: #664873

See Also

Package Description
libstruct-compare-perl_1.0.1-3_all.deb Perl module providing recursive diff for perl structures
libstruts1.2-java_1.2.9-5+deb7u2_all.deb Java Framework for MVC web applications
libstxxl-dev_1.3.1-4_i386.deb Development libraries for STXXL
libstxxl-doc_1.3.1-4_all.deb Documentation for STXXL
libstxxl1_1.3.1-4_i386.deb C++ STL drop-in replacement for extremely large datasets
libstylebook-java_1.0~b3~svn20061109-6_all.deb XML application for authoring web site content
libstyx2_1.8.0-1.1_i386.deb runtime libraries for styx
libsub-current-perl_0.02-1+b2_i386.deb Perl module to determine the executing subroutine
libsub-delete-perl_1.00002-1_all.deb Perl module to delete subroutines
libsub-exporter-formethods-perl_0.091970-1_all.deb Sub::Exporter extension for handling methods
libsub-exporter-globexporter-perl_0.002-1_all.deb module for exporting shared globs
libsub-exporter-perl_0.984-1_all.deb sophisticated exporter for custom-built routines
libsub-identify-perl_0.04-1+b2_i386.deb Retrieve names of code references
libsub-install-perl_0.926-1_all.deb module for installing subroutines into packages easily
libsub-name-perl_0.05-1+b2_i386.deb module for assigning a new name to referenced sub
Advertisement
Advertisement